# documentations

### local :

linter required

```shell
$ brew install golangci-lint
```

firecracker on archlinux

```shell
pacman -S firecracker
```

### build

```shell
make build
```

### get rootfs and necessary stuff

```shell
ARCH="$(uname -m)"

# Download a linux kernel binary
wget https://s3.amazonaws.com/spec.ccfc.min/firecracker-ci/v1.7/${ARCH}/vmlinux-5.10.204

# Download a rootfs
wget https://s3.amazonaws.com/spec.ccfc.min/firecracker-ci/v1.7/${ARCH}/ubuntu-22.04.ext4

# Download the ssh key for the rootfs
wget https://s3.amazonaws.com/spec.ccfc.min/firecracker-ci/v1.7/${ARCH}/ubuntu-22.04.id_rsa

# Set user read permission on the ssh key
chmod 400 ./ubuntu-22.04.id_rsa
```

cf [Official firecracker getting started](https://github.com/firecracker-microvm/firecracker/blob/main/docs/getting-started.md#getting-started-with-firecracker)
